package com.ruoyi.change.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.change.mapper.TbAssetOrderMapper;
import com.ruoyi.change.domain.TbAssetOrder;
import com.ruoyi.change.service.ITbAssetOrderService;

/**
 * 资产单据Service业务层处理
 * 
 * @author 原动力
 * @date 2023-05-15
 */
@Service
public class TbAssetOrderServiceImpl implements ITbAssetOrderService 
{
    @Autowired
    private TbAssetOrderMapper tbAssetOrderMapper;

    /**
     * 查询资产单据
     * 
     * @param id 资产单据主键
     * @return 资产单据
     */
    @Override
    public TbAssetOrder selectTbAssetOrderById(Long id)
    {
        return tbAssetOrderMapper.selectTbAssetOrderById(id);
    }

    /**
     * 查询资产单据列表
     * 
     * @param tbAssetOrder 资产单据
     * @return 资产单据
     */
    @Override
    public List<TbAssetOrder> selectTbAssetOrderList(TbAssetOrder tbAssetOrder)
    {
        return tbAssetOrderMapper.selectTbAssetOrderList(tbAssetOrder);
    }

    /**
     * 新增资产单据
     * 
     * @param tbAssetOrder 资产单据
     * @return 结果
     */
    @Override
    public int insertTbAssetOrder(TbAssetOrder tbAssetOrder)
    {
        return tbAssetOrderMapper.insertTbAssetOrder(tbAssetOrder);
    }

    /**
     * 修改资产单据
     * 
     * @param tbAssetOrder 资产单据
     * @return 结果
     */
    @Override
    public int updateTbAssetOrder(TbAssetOrder tbAssetOrder)
    {
        return tbAssetOrderMapper.updateTbAssetOrder(tbAssetOrder);
    }

    /**
     * 批量删除资产单据
     * 
     * @param ids 需要删除的资产单据主键
     * @return 结果
     */
    @Override
    public int deleteTbAssetOrderByIds(Long[] ids)
    {
        return tbAssetOrderMapper.deleteTbAssetOrderByIds(ids);
    }

    /**
     * 删除资产单据信息
     * 
     * @param id 资产单据主键
     * @return 结果
     */
    @Override
    public int deleteTbAssetOrderById(Long id)
    {
        return tbAssetOrderMapper.deleteTbAssetOrderById(id);
    }
}
